Loading...
Searching...
No Matches
casacore::TaQLQueryNode Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Envelope class for a node containing a selection command. More...

`#include <TaQLNode.h>`

## Public Member Functions

| TaQLQueryNode (TaQLQueryNodeRep *rep)
void | setBrackets ()
void | setNoExecute ()
void | setFromExecute ()
Public Member Functions inherited from casacore::TaQLNode
| TaQLNode ()
| Default constructor.
| TaQLNode (TaQLNodeRep *rep)
| Construct for given letter.
| TaQLNode (const TaQLNode &that)
| Copy constructor (reference semantics).
TaQLNode & | operator= (const TaQLNode &that)
| Assignment (reference semantics).
const TaQLStyle & | style () const
| Get the TaQL style.
virtual | ~TaQLNode () noexcept=default
Bool | isValid () const
| Does the envelope contain a letter?
char | nodeType () const
| Return the type of letter.
const TaQLNodeRep * | getRep () const
| Get read access to the letter.
TaQLNodeResult | visit (TaQLNodeVisitor &visitor) const
| Let the visitor visit the node.
void | show (std::ostream &os) const
| Print the node (recursively) in the given stream.
void | save (AipsIO &aio) const
| Save and restore the entire parse tree.
void | saveNode (AipsIO &aio) const
| Helper functions for save/restore of tree.

## Private Attributes

TaQLQueryNodeRep * | itsNRep

## Additional Inherited Members

Static Public Member Functions inherited from casacore::TaQLNode
static TaQLNode | parse (const String &command)
| Parse a TaQL command and return the result.
static TaQLNode | restore (AipsIO &aio)
static TaQLNode | restoreNode (AipsIO &aio)
static TaQLMultiNode | restoreMultiNode (AipsIO &aio)
Static Public Attributes inherited from casacore::TaQLNode
static TaQLNode | theirNode
| The object getting the final tree.
static std::vector< TaQLNode * > | theirNodesCreated
| A list of objects created by the parser and deleted at the end.
static TaQLStyle | theirStyle
| Keep the TaQL style to use.
static std::mutex | theirMutex
| Use a mutex to guard the statics.
Protected Attributes inherited from casacore::TaQLNode
std::shared_ptr< TaQLNodeRep > | itsRep

## Detailed Description

Envelope class for a node containing a selection command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Synopsis

This is a specialization of the envelope class TaQLNode for a node containing a selection command.

Definition at line 254 of file TaQLNode.h.

## Constructor & Destructor Documentation

## TaQLQueryNode()

casacore::TaQLQueryNode::TaQLQueryNode | ( | TaQLQueryNodeRep * | rep | ) |

## Member Function Documentation

## setBrackets()

void casacore::TaQLQueryNode::setBrackets | ( |  | ) |

## setFromExecute()

void casacore::TaQLQueryNode::setFromExecute | ( |  | ) |

## setNoExecute()

void casacore::TaQLQueryNode::setNoExecute | ( |  | ) |

## Member Data Documentation

## itsNRep

TaQLQueryNodeRep* casacore::TaQLQueryNode::itsNRep

private

Definition at line 262 of file TaQLNode.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNode.h